/*
http://www.sixteensmallstones.org/ie-javascript-bugs-overriding-internet-explorers-documentgetelementbyid-to-be-w3c-compliant-exposes-an-additional-bug-in-getattributes

There is a well known bug in the Internet Explorer implementation of the 
getElementById() method, which, contrary to the W3C standard, allows the 
method to return an element if the element's id attribute _or_ its _name_ 
attribute matches the id the programmer is looking for. 
*/


if (/msie/i.test (navigator.userAgent)) //only override IE
{
	document.nativeGetElementById = document.getElementById;
	document.getElementById = function(id)
	{
		var elem = document.nativeGetElementById(id);
		if(elem)
		{
			//make sure that it is a valid match on id
			if(elem.attributes['id'].value == id)
			{
				return elem;
			}
			else
			{
				//otherwise find the correct element
				for(var i=1;i<document.all[id].length;i++)
				{
					if(document.all[id][i].attributes['id'].value == id)
					{
						return document.all[id][i];
					}
				}
			}
		}
		return null;
	};
}



Event.observe(window, 'load', function(){
    $$('li').each(function(el){
          el.onmouseover  = function(){ this.addClassName('hover'); }
          el.onmouseout  = function(){  this.removeClassName('hover');  }
    });
});
